From a2e7d3bc5a57896a02e791e11f825247ff7dedc9 Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Tue, 17 Jan 2023 15:09:26 +0300
Subject: [PATCH v1] Constify proclist.h
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This is a follow-up to c8ad4d81.

Author: Aleksander Alekseev
Reviewed-by: TODO FIXME
Discussion: TODO FIXME add a new thread here
Discussion: https://postgr.es/m/CAJ7c6TM2%3D08mNKD9aJg8vEY9hd%2BG4L7%2BNvh30UiNT3kShgRgNg%40mail.gmail.com
---
 src/include/storage/proclist.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/include/storage/proclist.h b/src/include/storage/proclist.h
index 6ef896500f..e7d00e5ce1 100644
--- a/src/include/storage/proclist.h
+++ b/src/include/storage/proclist.h
@@ -35,7 +35,7 @@ proclist_init(proclist_head *list)
  * Is the list empty?
  */
 static inline bool
-proclist_is_empty(proclist_head *list)
+proclist_is_empty(const proclist_head *list)
 {
 	return list->head == INVALID_PGPROCNO;
 }
@@ -143,10 +143,10 @@ proclist_delete_offset(proclist_head *list, int procno, size_t node_offset)
  * so that the only possibilities are that it is in this list or none.
  */
 static inline bool
-proclist_contains_offset(proclist_head *list, int procno,
+proclist_contains_offset(const proclist_head *list, int procno,
 						 size_t node_offset)
 {
-	proclist_node *node = proclist_node_get(procno, node_offset);
+	const proclist_node *node = proclist_node_get(procno, node_offset);
 
 	/* If it's not in any list, it's definitely not in this one. */
 	if (node->prev == 0 && node->next == 0)
-- 
2.39.0

